Subject: [PATCH 6/6] ARM: OMAP: fix cpufreq build

From: [email-masked] (Kevin Hilman)
Date: Mon, 26 Mar 2012 15:07:22 -0700

Russell King - ARM Linux <[email-masked]> writes:

> Kevin,
>
> I only just found this via the arm-soc tree, while trying to merge the
> kautobuildv2 build tree.
>
> You changed my patch and broke it:
>
> config ARM_OMAP2PLUS_CPUFREQ
>         bool "TI OMAP2+"
>         default ARCH_OMAP2PLUS
>         select CPU_FREQ_TABLE
>
> So now, OMAP2 CPUFREQ is selectable on ANYTHING but it will only build
> successfully on OMAP.

Yes, I screwed it up.

I wanted it to be selectable, but majorly screwed it up and it is
certainly not randconfig friendly.

This was also pointed out by Grazvydas soon after merging[1], and I was
expecting a patch from him to remedy that, but I will take care of it
and submit a patch for v3.4-rc right away.
 
> If you're going to change someone elses patch, do them the favour of
> re-posting it back to them for comment *BEFORE* you commit it and send
> it upstream, 

I did.  On Feb 16th, I posted my modified version with you and
linux-arm-kernel Cc'd:

   http://lists.infradead.org/pipermail/linux-arm-kernel/2012-February/085053.html

and then I didn't send the pull request for this for another 3 weeks.

> rather than making it look like they're a total tosser for
> authoring a patch which fucks up other architecture builds.

/me has cache miss on tosser in American jargon cache
/me looks up in urban dictionary.

> Many thanks for that.

Many apologies.

Kevin

[1] http://marc.info/?l=linux-omap&m=133174677506294&w=2